package org.caosdb.server.database.backend.transaction;

import org.caosdb.server.database.BackendTransaction;
import org.caosdb.server.database.backend.interfaces.GetVirtualFSOImpl;
import org.caosdb.server.filesystem.VirtualFSODescriptorInterface;

public class GetVirtualFSO extends BackendTransaction {

  private String fileStorageId;
  private String key;
  private VirtualFSODescriptorInterface fso;

  public GetVirtualFSO(String fileStorageId, String key) {
    this.fileStorageId = fileStorageId;
    this.key = key;
  }

  @Override
  protected void execute() {
    GetVirtualFSOImpl t = getImplementation(GetVirtualFSOImpl.class);
    fso = t.execute(fileStorageId, key);
  }

  public boolean isKnown() {
    return fso != null;
  }
}
