package org.caosdb.server.database.backend.transaction;

import org.caosdb.server.database.BackendTransaction;
import org.caosdb.server.database.backend.interfaces.InsertFSODescriptorImpl;
import org.caosdb.server.entity.EntityInterface;
import org.caosdb.server.utils.EntityStatus;

public class InsertFSODescriptor extends BackendTransaction {

  private final EntityInterface entity;

  public InsertFSODescriptor(final EntityInterface entity) {
    this.entity = entity;
  }

  @Override
  protected void execute() {
    if (entity.getEntityStatus() == EntityStatus.QUALIFIED) {
      final InsertFSODescriptorImpl impl = getImplementation(InsertFSODescriptorImpl.class);
      impl.insertFSODescriptor(entity.getSparseEntity());
    }
  }
}
