package org.caosdb.server.database.backend.transaction;

import java.util.LinkedList;
import java.util.List;
import org.caosdb.server.database.BackendTransaction;
import org.caosdb.server.database.backend.interfaces.GetFilesInDirectoryImpl;
import org.caosdb.server.database.proto.SparseEntity;
import org.caosdb.server.entity.EntityID;
import org.caosdb.server.filesystem.FSODescriptor;
import org.caosdb.server.filesystem.VirtualFSODescriptorInterface;

public class ListDirectory extends BackendTransaction {

  private EntityID id;
  private List<VirtualFSODescriptorInterface> children = new LinkedList<>();

  public ListDirectory(EntityID id) {
    this.id = id;
  }

  @Override
  protected void execute() {
    GetFilesInDirectoryImpl t = getImplementation(GetFilesInDirectoryImpl.class);
    List<SparseEntity> spes = t.execute(id);

    for (SparseEntity spe : spes) {
      children.add(new FSODescriptor(spe));
    }
  }

  public List<VirtualFSODescriptorInterface> getChildren() {
    return children;
  }
}
