package org.caosdb.server.filesystem;

import java.nio.file.Path;
import org.caosdb.server.CaosDBServer;
import org.caosdb.server.ServerProperties;

/**
 * A file storage which serves as the default file storage and which has a local back-end.
 *
 * @author Timm Fitschen (t.fitschen@indiscale.com)
 */
public class DefaultLocalFileStorage extends LocalFileStorage {

  public DefaultLocalFileStorage() {
    super(
        FileSystem.DEFAULT_BACKEND,
        FileStorageCapabilities.FULL,
        Path.of(CaosDBServer.getServerProperty(ServerProperties.KEY_FILE_SYSTEM_ROOT)));
  }
}
