package org.caosdb.server.filesystem;

import org.caosdb.server.entity.Message;
import org.caosdb.server.utils.Undoable;

/**
 * This is the main interface for the interaction with files in the CaosDB server.
 *
 * @author Timm Fitschen (t.fitschen@indiscale.com)
 */
public interface FileSystemInterface {

  /**
   * Delete the file described by the FileDescriptorInterface.
   *
   * @param file
   * @return
   * @throws Message
   */
  public abstract Undoable delete(FSODescriptorInterface file) throws Message;

  /**
   * Return the FileDescriptorInterface which belongs to the given fileStorageId and fileKey.
   *
   * @param fileStorageId
   * @param fileKey
   * @return
   * @throws Message
   */
  public abstract FSODescriptorInterface resolve(String fileStorageId, String fileKey);
}
