package org.caosdb.server.filesystem;

import java.io.File;
import java.util.List;
import org.caosdb.server.filesystem.FileSystem.ObjectType;
import org.caosdb.server.utils.Undoable;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class TemporaryFSODescriptor implements RealFSODescriptorInterface, Undoable {

  protected Logger logger = LoggerFactory.getLogger(getClass());
  protected File tmpDir;
  private File file;
  private Hash hash;
  private Long size;
  private String fileId;

  public TemporaryFSODescriptor(File tmpFile, String fileId, Hash hash, Long size, File tmpDir) {
    this.fileId = fileId;
    this.file = tmpFile;
    this.hash = hash;
    this.size = size;
    this.tmpDir = tmpDir;
  }

  @Override
  public void cleanUp() {
    if (tmpDir != null && tmpDir.exists()) {
      org.apache.commons.io.FileUtils.deleteQuietly(tmpDir);
    } else if (file != null && file.exists()) {
      org.apache.commons.io.FileUtils.deleteQuietly(file);
    }
  }

  @Override
  public void undo() {
    cleanUp();
  }

  @Override
  public String getKey() {
    return null;
  }

  @Override
  public String getFileStorageId() {
    return null;
  }

  @Override
  public Hash getHash() {
    return hash;
  }

  @Override
  public Long getSize() {
    return size;
  }

  @Override
  public String getName() {
    return null;
  }

  @Override
  public List<? extends RealFSODescriptorInterface> listChildren() {
    return null;
  }

  @Override
  public String getMimeType() {
    return null;
  }

  @Override
  public ObjectType getObjectType() {
    return ObjectType.FILE;
  }

  @Override
  public File getFile() {
    return file;
  }

  @Override
  public Boolean exists() {
    return this.file != null && this.file.exists();
  }

  public String getTmpIdentifier() {
    return fileId;
  }

  @Override
  public RealFSODescriptorInterface resolveLinkTarget() {
    // TODO Auto-generated method stub
    return null;
  }
}
