package org.caosdb.server.filesystem.consistency;

import com.fasterxml.jackson.annotation.JsonCreator;

public abstract class AutoUpdateAction {

  private String name;

  AutoUpdateAction(String name) {
    this.name = name;
  }

  public String getName() {
    return name;
  }

  @JsonCreator
  public static AutoUpdateAction create(String name) {
    return new AutoUpdateAction(name) {

      @Override
      public AutoUpdateActionImpl getImplementation() {
        return null;
      }
    };
  }

  public abstract AutoUpdateActionImpl getImplementation();

  @Override
  public String toString() {
    return getName();
  }

  @Override
  public int hashCode() {
    return toString().hashCode();
  }

  @Override
  public boolean equals(Object obj) {
    if (obj instanceof AutoUpdateAction) {
      return obj.toString().equals(this.toString());
    }
    return false;
  }
}
