package org.caosdb.server.jobs.core;

import java.util.List;
import org.caosdb.server.entity.EntityInterface;
import org.caosdb.server.filesystem.FileSystem.ObjectType;
import org.caosdb.server.filesystem.VirtualFSODescriptorInterface;
import org.caosdb.server.jobs.EntityFlagJob;
import org.caosdb.server.jobs.JobAnnotation;
import org.caosdb.server.jobs.TransactionStage;

@JobAnnotation(
    defaultValue = "false",
    loadOnDefault = false,
    flag = "listDirectory",
    values = {"true", "false"},
    stage = TransactionStage.POST_TRANSACTION)
public class ListDirectory extends EntityFlagJob {

  @Override
  protected void job(String value) {
    if ("true".equals(value)
        && getEntity().hasFSODescriptor()
        && getEntity().getFSODescriptor().getObjectType() == ObjectType.DIRECTORY) {
      getEntity().getFSODescriptor().setChildren(listChildren(getEntity()));
    }
  }

  private List<VirtualFSODescriptorInterface> listChildren(EntityInterface entity) {
    org.caosdb.server.database.backend.transaction.ListDirectory t =
        new org.caosdb.server.database.backend.transaction.ListDirectory(entity.getId());
    return t.getChildren();
  }
}
