package org.caosdb.server.jobs.core;

import org.caosdb.server.entity.EntityInterface;
import org.caosdb.server.jobs.FlagJob;
import org.caosdb.server.jobs.JobAnnotation;
import org.caosdb.server.jobs.TransactionStage;

@JobAnnotation(
    flag = RegisterFileDownload.FLAG,
    stage = TransactionStage.POST_TRANSACTION,
    values = {RegisterFileDownload.TRUE, RegisterFileDownload.FALSE},
    description = "This job registeres a file for the download (GRPC API only)",
    loadOnDefault = false)
public class RegisterFileDownload extends FlagJob {

  public static final String FLAG = "register_file_download";
  public static final String QUERY_FLAG = "register_file_download_query";
  public static final String TRUE = "true";
  public static final String FALSE = "false";

  @Override
  protected void job(String value) {
    final boolean download_files_container = TRUE.equals(value);
    if (download_files_container) {
      for (EntityInterface entity : getContainer()) {
        if (entity.hasFSODescriptor() && !FALSE.equals(entity.getFlag(FLAG))) {
          //          entity
          //              .getFSODescriptor()
          //              .setFile(
          //                  FileSystem.getInstance()
          //                      .resolve(
          //                          entity.getFSODescriptor().getFileStorageId(),
          //                          entity.getFSODescriptor().getKey())
          //                      .getFile());
        }
      }
    }
  }
}
