package org.caosdb.server.filesystem;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.Test;

class PathTest {

  @Test
  void testEquals() {
    assertEquals(new Path(""), new Path("/"));
    assertEquals(new Path("/A"), new Path("A"));
    assertEquals(new Path("A/"), new Path("A"));
    assertEquals(new Path("/A/"), new Path("A"));
  }

  @Test
  void testToString() {
    assertEquals(new Path("").toString(), "");
    assertEquals(new Path("/").toString(), "");
    assertEquals(new Path("/A").toString(), "A");
    assertEquals(new Path("A").toString(), "A");
    assertEquals(new Path("A/").toString(), "A");
  }

  @Test
  void testAppend() {
    assertEquals(new Path("").append("B").toString(), "B");
    assertEquals(new Path("/").append("B").toString(), "B");
    assertEquals(new Path("/A").append("B").toString(), "A/B");
    assertEquals(new Path("A").append("B").toString(), "A/B");
    assertEquals(new Path("A/").append("B").toString(), "A/B");
  }
}
